<?php
namespace Repository;

use Doctrine\ORM\EntityRepository;
/**
 * 
 * @author Christophe PEQUIGNAT
 *
 */
class CourseRepository extends EntityRepository
{
    
    public function getAllCourses()
    {
        return $this->getEntityManager()->createQuery('SELECT c FROM \Entity\Course c')
        ->getResult();
    }
    
    public function addCourse(\Entity\Course $course){
        $this->getEntityManager()->persist($course);
    }
    
    public function updateCourse(\Entity\Course $course){
        $this->getEntityManager()->persist($course);
    }
    
    public function removeAll() : void{
        foreach($this->getAllCourses() as $course){
            $this->getEntityManager()->remove($course);
        }
    }
    
}

