<?php
namespace Repository;

use Doctrine\ORM\EntityRepository;

class PersonRepository extends EntityRepository
{
    
    public function getAllPersons()
    {
        return $this->getEntityManager()->createQuery('SELECT p FROM \Entity\Person p')
        ->getResult();
    }
    
    public function addPerson(\Entity\Person $person) : void{
        $this->getEntityManager()->persist($person);
    }
    
    public function removeAll() : void{
        foreach($this->getAllPersons() as $person){
            $this->getEntityManager()->remove($person);
        }
    }
    
}

