<?php

defined ("APPLICATION_ENV") || define("APPLICATION_ENV", getenv('APPLICATION_ENV') ?? 'production');
echo 'Environnement : '.APPLICATION_ENV . "<br/>\r\n";

echo 'Initialisation de la connexion à la base de données'. "<br/>\r\n";
require_once('..\bootstrap.php');
use \Service\CourseService;

echo 'Initialisation du logger'. "<br/>\r\n";
$logger = Logger::getLogger('index.php');

$logger->info('Bonjour');

$courseService = new CourseService(Bootstrap::getEntityManager());

echo 'Initialisation des datas'. "<br/>\r\n";
$courseService->initExample();
echo 'Affichage des datas'. "<br/>\r\n";

echo '==>Affichage des Personnes :'."<br/>\r\n";
foreach($courseService->getAllPersons() as $person){
    echo $person."<br/>\r\n";
}
echo "<br/>\r\n";
echo '==>Affichage des Cours :'."<br/>\r\n";
foreach($courseService->getAllCourses() as $cours){
    echo $cours."<br/>\r\n";
}
echo "<br/>\r\n";
echo 'Suppression des datas'. "<br/>\r\n";
$courseService->dropExample();

$logger->fatal('Contenu du mail Fatal');


